// RMB商品价格表
import { readFileAndParse } from '../util';
import { FILENAME } from '../../consts';

export interface DicRMB {
    // 商品ID 必须唯一不能相同
    readonly productID: string;
    // 对外商品id
    readonly channelProductID: string;
    // 类型 ACTIVITY_TYPE
    readonly type: number;
    // 价格
    readonly price: number;
    // 描述
    readonly message: string;
    // 可以获得的元宝数（或礼包数）
    readonly gameCoin: number;
}

export const dicRMB = new Map<string, DicRMB>();
export function loadRMB() {
    dicRMB.clear();
    
    let arr = readFileAndParse(FILENAME.DIC_RMB);
    arr.forEach(o => {
        dicRMB.set(o.productID, o);
    });
    arr = undefined;
}
